<?php
  
  if(! defined('ABSPATH'))
  {
    die;
  }

  if(! current_user_can("administrator"))
  {
    echo "only admin can access";
    die;
  }
  
  if( isset($_POST['field_nonce']) && (! wp_verify_nonce($_POST['field_nonce'], 'api_key_enter')) )
  {
    echo 'Sorry, your nonce did not verify.';
    die;
  }
  
?>


<h1 style="font-size: 23px; font-weight: 400; margin-top: 10px; margin-left: 2px; padding: 9px 0 4px; line-height: 29px;">CallRoot Plugin</h1>
<form method="post" action="options.php">
  <table class="form-table">
    <tbody>
      <tr>
        <th scope="row">
          <label>Enter API Key</label>
        </th>
        <td>
          <input type="text" id="callroot_api_key" name="callroot_api_key" value="<?php echo esc_html(get_option('callroot_api_key')); ?>" class="regular-text" required />  
        </td>
      </tr>
    </tbody>
  </table>
  <?php settings_fields( 'callroot_options_group' ); ?>
  <?php wp_nonce_field( 'api_key_enter', 'field_nonce' ); ?>
  <?php submit_button(); ?>
</form>

<?php

  $key = get_option('callroot_api_key');
  if($key != '')
  {
    $post_data = array('campaign_token' => $key);
    $response = wp_remote_post("https://callroot.com/api/wordpress", array("body" => $post_data));
    $body = wp_remote_retrieve_body($response);
    $res = json_decode($body,true);
    echo "<b>Message: </b>".$res["message"];
    if($res["campaign_name"]=='') $res["campaign_name"] = 'None'; 
    echo "<br/><br/><b>Campaign Connected: </b>".$res["campaign_name"];
  }

?>