<?php

/*
Plugin Name: CallRoot
Plugin URI: https://callroot.com
Description: CallRoot is a call tracking software for marketing teams and agencies. Track & record incoming phone calls, dynamically insert phone numbers & map referrer source with every incoming call. This wordpress plugin automatically inserts the javascript code for swapping phone numbers in your wordpress website. Using our plugin, you no longer have to manually insert the JavaScript code for dynamic number insertion on every page.
Version: 1.0.0
License: GPL2

CallRoot is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.	
 
CallRoot is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with CallRoot. If not, see <http://www.gnu.org/licenses/>.
*/


if(! defined('ABSPATH'))
{
	die;
}

function callroot_register_settings()
{
   add_option( 'callroot_api_key', '');
   register_setting( 'callroot_options_group', 'callroot_api_key' );
}

function callroot_register_options_page() {
  add_options_page('CallRoot API Key', 'CallRoot API Key', 'manage_options', 'callroot', 'callroot_options_page');
}

function callroot_options_page()
{
	require_once plugin_dir_path(__FILE__).'api_key.php';
}

function callroot_swap_nums() 
{
	$key = get_option('callroot_api_key');

	echo  "
			<script type='text/javascript'>
			(function(w,d, s, id){
			var jcm = d.createElement(s);
			jcm.src = 'https://callroot.com/jcm.js';
			jcm.type='text/javascript';jcm.async = 'true';
			jcm.onload=jcm.onreadystatechange=function(){var rs=this.readyState;
			if(rs&&rs!='complete'&&rs!='loaded')return;try{
			jcmjs._vd('".$key."');}catch(e){console.log(e);}};
			var fjs = d.getElementsByTagName(s)[0];
			fjs.parentNode.insertBefore(jcm,fjs);
			})(window,document, 'script', 'justcall-jcm');
			</script>
		";
}

function callroot_activation_redirect( $plugin )
{
    if( $plugin == plugin_basename( __FILE__ ) )
    {
        exit( wp_redirect( admin_url( 'options-general.php?page=callroot' ) ) );
    }
}

function callroot_add_action_links ( $links )
{
	$mylinks = array(
 						'<a href="' . admin_url( 'options-general.php?page=callroot' ) . '">Settings</a>',
 					);
	return array_merge( $links, $mylinks );
}

//all actions
add_action( 'admin_init', 'callroot_register_settings' );
add_action('admin_menu', 'callroot_register_options_page');
add_action( 'wp_print_footer_scripts', 'callroot_swap_nums' );
add_action( 'activated_plugin', 'callroot_activation_redirect' );
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'callroot_add_action_links' );